Bug 146902 - Harddrive upgrade using DVD image crashes in harddrive.py
Summary: Harddrive upgrade using DVD image crashes in harddrive.py
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-02 17:14 UTC by Orion Poplawski
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-03 21:21:28 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Orion Poplawski 2005-02-02 17:14:41 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041217

Description of problem:
Doing a harddrive upgrade from FC2 to FC3 and getting a traceback. 
Last line is:

/usr/src/build/475969-i386/install/usr/lib/anaconday/harddrive.py
line 155 in readHeaders
if not self.discImages.has_key(h[1000002]);
TypeError: list objects are unhashable

The harddrive directory contains a single DVD iso image that has
updated packages on it, so this could be a problem with how I built
the image.  Another possibility might be that the .discinfo file on
the DVD indicates 4 CDs instead of 1?


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.  Try to do a harddrive upgrade with DVD image
2.
3.
    

Additional info:

Comment 1 Jeremy Katz 2005-02-03 18:41:28 UTC
Can you hit 'debug' when this occurs and get the output of

print self.discImages

Comment 2 Orion Poplawski 2005-02-03 19:14:17 UTC
Have test system up and running so we can play with this.

(Pdb) print self.discImages
{1: 'FC3-i386-DVD.iso'}
(Pdb) print h
jwhois-0:3.2.2-6-FC3.1.i386
(Pdb) print h[1000002]
[]

Last anaconda log is:
isys.py.mount() - going to mount /tmp/loop3 on /tmp/isomedia


Comment 3 Jeremy Katz 2005-02-03 19:18:13 UTC
Hmm, did you run pkgorder and then rerun genhdlist --withnumbers on
your modified tree?

Comment 4 Orion Poplawski 2005-02-03 19:25:58 UTC
Ah, I'm missing --withnumbers.  Question: do I need to run genhdlist
before pkgorder as well as aftwards?  Some scripts I've seen do this,
but I currently only run it after pkgorder.

Comment 5 Jeremy Katz 2005-02-03 20:36:44 UTC
Yep, it's two invocations.  One of these days, that will change so
that you only have one command to run that does everything (and thus,
hopefully avoid people missing a step)

Comment 6 Orion Poplawski 2005-02-03 21:21:28 UTC
--withnumbers was the key.  I look forward to the day where one
command does everything!  Thanks!


Note You need to log in before you can comment on or make changes to this bug.